
Redmine - Defect #13699

Error: 'addFileField' is undefined

2013-04-05 20:03 - w brown

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

Previously no problems with Redmine 2.1.4, but after installing Redmine 2.3.0.stable:

New or Update issue. Click on Add another file link, and get webpage (js?) error box containing:

Line: 249

Error: 'addFileField' is undefined

Ergo, cannot add more than one file.

Environment:

Redmine version                          2.3.0.stable

Ruby version                             1.9.3 (i386-mingw32)

Rails version                            3.2.13

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

redmine_inline_attach_screenshot         0.4.2

History

#1 - 2013-04-06 08:01 - Toshi MARUYAMA

- Category changed from UI to Issues

#2 - 2013-04-06 15:13 - Etienne Massip

It's either an incompatibility with redmine_inline_attach_screenshot or you have to refresh your browser cache.

#3 - 2013-04-08 17:09 - w brown

Your guess about redmine_inline_attach_screenshot was correct.

So, I guess we close this as a redmine issue, and mention it to redmine_inline_attach_screenshot author.

Thank you.

#4 - 2013-04-08 17:09 - w brown

- Status changed from New to Resolved

#5 - 2013-04-08 22:30 - Ivan Cenov

You may want to try https://github.com/peclik/clipboard_image_paste

#6 - 2013-04-09 00:46 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for your feedback.

#7 - 2013-04-09 14:10 - w brown

That is the one I found that works, although unfortunate to have to give up the semi-auto inlining of the image which
redmine_inline_attach_screenshot provided. Thanks again.

#8 - 2013-04-25 08:20 - kangbo kimk

- File redmine_inline_attach_screenshot.zip added

I have cleared error what w brown said. (No action at clicking Add another file link)

Try by attahced zip file. (tested at redmine ver. 1.0.4)

Files

redmine_inline_attach_screenshot.zip 23.9 KB 2013-04-25 kangbo kimk
